commit:     82437e8eb66de196816c2c547b027b23ad024215
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 25 21:50:33 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Aug 25 21:51:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82437e8e

media-video/pipewire: 0.3.10 bump

Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 media-video/pipewire/Manifest               |   1 +
 media-video/pipewire/pipewire-0.3.10.ebuild | 136 ++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+)

diff --git a/media-video/pipewire/Manifest b/media-video/pipewire/Manifest
index 54aa64d33b8..51011de456e 100644
--- a/media-video/pipewire/Manifest
+++ b/media-video/pipewire/Manifest
@@ -1,2 +1,3 @@
 DIST pipewire-0.2.7.tar.gz 421644 BLAKE2B 
d2ccb56a9ea5ea7782678deb6eae0b0a70da1fa69e807398062d388733901839f15a2f0f7db982fbebd2b2759f443709e6c1950b6367f3ed4801d6c2d6109e73
 SHA512 
10d3e20cc3d233fbcd1fc39702ae3043a656ebcd9cd3c39c77f0cc2bf42ff4956fc03e7933c7b397bca446c63f45ddacea948d5ec7e4a3300499fa2794f14334
+DIST pipewire-0.3.10.tar.gz 1148297 BLAKE2B 
d890b8e6697b17be9f8706a7228b9c79631120550ac51d7fbea8b5d05ca161ce6142a5666a6a61db618d4da0519676160ba1180cf9274865d879f4bb0da2a8e7
 SHA512 
f2f3dd7ce9b9f3a5ab55b6da97cd64419dad5115714848ce8893795c0ed2fd2fe0059240ec9fe1c92fb1442caf8d7071e415afe6712500be1c29fd001293cf0d
 DIST pipewire-0.3.7.tar.gz 1095307 BLAKE2B 
31f266d39683f53ea8cd7823d40b241bae29a59c2658f390fb9178dbdbbe1f7145638b5bd1bdae0dc13a30c1d8d2f44ff224f230211e75ab5936cfb8ccacc928
 SHA512 
2adaa8689b77c5a3a4710f979d23a737daa66f37ebfca9cf95f6c6a1dad770c52a2998959d52c45540b5b885568146b42981d106a2653ff8f167e0b531ee92f9

diff --git a/media-video/pipewire/pipewire-0.3.10.ebuild 
b/media-video/pipewire/pipewire-0.3.10.ebuild
new file mode 100644
index 00000000000..7396ae3ab65
--- /dev/null
+++ b/media-video/pipewire/pipewire-0.3.10.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="https://github.com/PipeWire/pipewire.git";
+       EGIT_BRANCH="work"
+       inherit git-r3
+else
+       SRC_URI="https://github.com/PipeWire/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Multimedia processing graphs"
+HOMEPAGE="https://pipewire.org/";
+
+LICENSE="LGPL-2.1+"
+SLOT="0/0.3"
+IUSE="bluetooth debug doc ffmpeg gstreamer jack pulseaudio systemd test vulkan 
X"
+
+BDEPEND="
+       app-doc/xmltoman
+       doc? (
+               app-doc/doxygen
+               media-gfx/graphviz
+       )
+"
+RDEPEND="
+       >=media-libs/alsa-lib-1.1.7
+       media-libs/libsdl2
+       >=media-libs/libsndfile-1.0.20
+       sys-apps/dbus
+       virtual/libudev
+       bluetooth? (
+               media-libs/sbc
+               net-wireless/bluez:=
+       )
+       ffmpeg? ( media-video/ffmpeg:= )
+       gstreamer? (
+               >=dev-libs/glib-2.32.0:2
+               >=media-libs/gstreamer-1.10.0:1.0
+               media-libs/gst-plugins-base:1.0
+       )
+       jack? ( >=media-sound/jack2-1.9.10:2 )
+       pulseaudio? (
+               dev-libs/glib:2
+               >=media-sound/pulseaudio-11.1
+       )
+       systemd? ( sys-apps/systemd )
+       vulkan? ( media-libs/vulkan-loader )
+       X? ( x11-libs/libX11 )
+"
+DEPEND="${RDEPEND}
+       vulkan? ( dev-util/vulkan-headers )
+"
+
+DOCS=( {README,INSTALL}.md NEWS )
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+       spa_use() {
+               if ! in_iuse ${1} || ! use ${1}; then
+                       sed -e 
"/^add-spa-lib.*${1}/s/^/#${2-$1}-disabled-by-USE-no-${1}\:/" \
+                               -e 
"/^load-module.*${1}/s/^/#${2-$1}-disabled-by-USE-no-${1}\:/" \
+                               -i src/daemon/pipewire.conf.in || die
+               fi
+       }
+
+       default
+       spa_use libcamera
+       spa_use rtkit
+       spa_use bluetooth bluez5
+       spa_use jack
+       spa_use vulkan
+}
+
+src_configure() {
+       local emesonargs=(
+               -Dexamples=true # contains required pipewire-media-session
+               -Dman=true
+               -Dspa=true
+               -Dspa-plugins=true
+               --buildtype=$(usex debug debugoptimized plain)
+               # alsa plugin and jack/pulseaudio emulation
+               -Dpipewire-alsa=true
+               $(meson_use jack pipewire-jack)
+               $(meson_use pulseaudio pipewire-pulseaudio)
+               # spa-plugins
+               # we install alsa support unconditionally
+               $(meson_use bluetooth bluez5)
+               $(meson_use ffmpeg)
+               $(meson_use jack)
+               $(meson_use vulkan)
+               # libcamera is not packaged
+               # misc
+               $(meson_use doc docs)
+               $(meson_use gstreamer)
+               $(meson_use systemd)
+               $(meson_use test test)
+               $(meson_use test tests)
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+
+       dosym ../../../usr/share/alsa/alsa.conf.d/50-pipewire.conf 
/etc/alsa/conf.d/50-pipewire.conf
+
+#      # TODO: this breaks alsa users
+#      if use alsa; then
+#              dosym 
../../../usr/share/alsa/alsa.conf.d/99-pipewire-default.conf 
/etc/alsa/conf.d/99-pipewire-default.conf
+#      fi
+}
+
+pkg_postinst() {
+       elog "Package has optional sys-auth/rtkit RUNTIME support that may be 
disabled"
+       elog "by setting DISABLE_RTKIT env var."
+       elog "To enable rtkit, uncomment the load-module line in 
/etc/pipewire/pipewire.conf"
+       elog
+       if use jack; then
+               elog "Please note that even though the libraries for JACK 
emulation have"
+               elog "been installed, this ebuild is not yet wired up to 
replace a JACK server."
+               elog
+       fi
+       if use pulseaudio; then
+               elog "Please note that even though the libraries for PulseAudio 
emulation have"
+               elog "been installed, this ebuild is not yet wired up to 
replace PulseAudio."
+               elog
+       fi
+       elog "Read INSTALL.md for information about ALSA plugin or 
JACK/PulseAudio emulation."
+}

Reply via email to